stages:
  - build

linux-x64:build:
  stage: build
  image: fedora:33
  before_script:
    - dnf install -y meson cmake pkg-config ninja-build gcc gcc-c++ gtk3-devel pulseaudio-libs-devel mesa-libGL mesa-libGL-devel libisofs-devel libglvnd-devel libglvnd-glx && dnf clean all
  script:
    - mkdir build && cd build && meson ..
    - ninja
  artifacts:
    paths:
      - build/lxdream-nitro
